<?php
/**
 * Convertidor de unidades - anyadir2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-08-31
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();
cabecera('Añadir 2', MENU_2, CABECERA_SIN_CURSOR);

$valor1  = recogeParaConsulta($db, 'valor1');
$unidad1 = recogeParaConsulta($db, 'unidad1');
$valor2  = recogeParaConsulta($db, 'valor2');
$unidad2 = recogeParaConsulta($db, 'unidad2');
$valor1Ok = $valor2Ok = $unidad1Ok = $unidad2Ok = FALSE;

if ($valor1=="") {
    print "<p style=\"color: red\">No ha escrito el primer valor.</p>\n";
} elseif (!is_numeric($valor1)) { 
    print "<p style=\"color: red\">No ha escrito el primer valor como número.</p>\n";
} else {
	$valor1Ok = TRUE;
}

if ($valor2=="") {
    print "<p style=\"color: red\">No ha escrito el segundo valor.</p>\n";
} elseif (!is_numeric($valor2)) { 
    print "<p style=\"color: red\">No ha escrito el segundo valor como número.</p>\n";
} else {
	$valor2Ok = TRUE;
}

if ($unidad1=="''") {
    print "<p style=\"color: red\">No ha escrito la primera unidad.</p>\n";
} else {
	$unidad1Ok = TRUE;
}

if ($unidad2=="''") {
    print "<p style=\"color: red\">No ha escrito la segunda unidad.</p>\n";
} else {
	$unidad2Ok = TRUE;
}

if ($valor1Ok && $valor2Ok && $unidad1Ok && $unidad2Ok) {
    $consulta = "SELECT COUNT(*) FROM $dbTabla";
    $result = $db->query($consulta);
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";
    } elseif ($result->fetchColumn()>=MAX_REG_TABLA) {
        print "<p>Se ha alcanzado el número máximo de definiciones que se pueden "
            ."guardar.</p>\n<p>Por favor, borre alguna definición antes.</p>\n";
    } else { 
        $consulta = "SELECT COUNT(*) FROM $dbTabla 
            WHERE unidad1=$unidad1 
            AND unidad2=$unidad2";
        $result = $db->query($consulta);
        if (!$result) {
            print "<p>Error en la consulta.</p>\n";
        } elseif ($result->fetchColumn()>0) {
            print "<p>La conversión entre esas unidades ya existe.</p>\n";
        } else { 
            $consulta = "INSERT INTO $dbTabla 
                VALUES (NULL, $valor1, $unidad1, $valor2, $unidad2)";
            if ($db->query($consulta)) {
                print "<p>Conversión guardada correctamente.</p>\n";
            } else {
                print "<p>Error al crear la conversión.</p>\n";
            }
        }
    }
}

$db = NULL; 
pie();
?>
